using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_NeiRong_PingTaiGuanLi_XiuGai : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("修改运行平台", "网站后台", "修改运行平台", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("16");

        int ID = Convert.ToInt32(Request.QueryString["ID"]);
        String 平台简称 = Request.Form["PingTaiJianChen"];
        String 所有机型 = Request.Form["SuoYouJiXing"];

        if (平台简称 == "" || 所有机型 == "")
            throw new Exception("平台简称和所有机型不能为空");

        SqlCommand 语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "内容_软件_运行平台] SET [平台简称]=@平台简称,[所有机型]=@所有机型 WHERE [ID]=" + ID, 访问.连接);
        语句.Parameters.Add("@平台简称", SqlDbType.NVarChar).Value = 平台简称;
        语句.Parameters.Add("@所有机型", SqlDbType.NVarChar).Value = 所有机型;
        语句.ExecuteNonQuery();
        访问统计_管理记录 记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        记录.记录("修改平台", 访问.用户["昵称"].ToString());

        Response.Redirect("PingTaiGuanLi.aspx");
    }
}
